=begin
= WebUnit::Frame
  Copyright(C) 2001 yuichi TAKAHASHI
  $Id: frame.rb,v 1.1.1.1 2003/01/21 11:50:40 yuichi Exp $
=end

module WebUnit

  class Frame < HtmlElem

    def initialize( ah )
      super( 'frame', ah )
      @src = ah["src"]
      @name = ah["name"]
    end

=begin
--- Frame#src
      reader of 'src' attribute.
--- Frame#name
      reader of 'name' attribute.
=end

    attr_reader :src, :name

=begin
--- Frame#read
      return a Response of getting of 'src' attribute.
=end

    def read
      Response::new.init_http( @src, "GET" ) if @src != nil
    end

  end

end
